#ifndef PLASMA_WALLPAPER_TUTORIAL1
#define PLASMA_WALLPAPER_TUTORIAL1

#include <Plasma/Wallpaper>
#include <stdint.h>
#include <QMutex>
#include <QWaitCondition>
#include <vector>
#include <queue>
#include <string>
#include <keditlistbox.h>

#include "ui_untitled.h"

class Tutorial1;

class Blaa : public QThread
{
  Q_OBJECT
  public:
    Blaa(QObject* parent, QMutex *mutex, QImage **img);
    void SaveFrame(int width, int height);
    void run();
  QImage **img;
  QMutex* mutex;
  bool time2die;
};

class Tutorial1 : public Plasma::Wallpaper
{
    Q_OBJECT
    public:
        Tutorial1(QObject* parent, const QVariantList& args);
        ~Tutorial1();
        void paint(QPainter* painter, const QRectF& exposedRect);
    public Q_SLOTS:
        void updator();
    public:

  QMutex* mutex;
  QImage* img;
  Blaa blaa;
};

K_EXPORT_PLASMA_WALLPAPER(tut, Tutorial1)

#endif
